#
# spec file for package python-python-crfsuite
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-python-crfsuite
Version:        0.9.11
Release:        2.1
Summary:        Python binding for CRFsuite
License:        MIT
URL:            https://github.com/scrapinghub/python-crfsuite
Source:         https://files.pythonhosted.org/packages/source/p/python_crfsuite/python_crfsuite-%{version}.tar.gz
BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  c++_compiler
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
Python-crfsuite is a python binding to CRFsuite_.

%prep
%autosetup -p1 -n python_crfsuite-%{version}

%build
export CFLAGS="%{optflags}"
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
mv pycrfsuite bak
%pytest_arch
mv bak pycrfsuite

%files %{python_files}
%license LICENSE.txt
%doc CHANGES.rst README.rst
%{python_sitearch}/pycrfsuite
%exclude %{python_sitearch}/pycrfsuite/*.cpp
%exclude %{python_sitearch}/pycrfsuite/*.hpp
%{python_sitearch}/python_crfsuite-%{version}.dist-info

%changelog
* Wed Jun 11 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
* Wed Feb 12 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.9.11
  * Cleaned up install
  * Unicode allowed
  * Compiling on additional platforms
- Add Cython to BuildRequires
- Adjust upstream source name in spec file
- Drop 159.patch, merged upstream
- Exclude C++ source and header files in %%files section
* Wed Jun 12 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Cherry-pick upstream patch to fix build with GCC 14
  * https://github.com/scrapinghub/python-crfsuite/pull/159.patch
* Tue Dec 26 2023 Dirk Müller <dmueller@suse.com>
- update to 0.9.10:
  * Add support for python 3.12 and drop python 2.7 support
* Tue Feb 21 2023 Daniel Garcia <daniel.garcia@suse.com>
- Delete rebuild-extension.patch
- Update to 0.9.9
  * Support for CPython 3.11
- 0.9.8
  * Support for 3.10 added
* Mon Feb 21 2022 Steve Kowalik <steven.kowalik@suse.com>
- Add patch rebuild-extension.patch:
  * Included sources now regenerated with a new version of Cython to
    fix the build for Python 3.10.
* Fri Mar 20 2020 pgajdos@suse.com
- version update to 0.9.7
  * Python 3.4 is no longer supported (it may work, but CI is disabled)
  * Python 3.8 support
  * fixed installation issues on OS X (thanks @kvinwang)
  * make it easier for distributions to have a reproducible build
    (thanks @bmwiedemann)
* Sat Feb  9 2019 John Vandenberg <jayvdb@gmail.com>
- Update to v0.9.6
  + Python 3.7 support
  + new Tagger.open_inmemory method which allows to load tagger
    data without having a file on-disk
- Add %%license
* Tue Nov  7 2017 toddrme2178@gmail.com
- initial version for v0.9.5
